<?php

class actionGuestbookIndex extends cmsAction {

    public function run() {

        $options = $this->options;

        $perpage = $options['perpage'];

        $page = $this->request->get('page', 1);

        $items = $this->model->filterEqual('is_approved', '1')->filterIsNull('rep_id')->
                        orderBy('id', 'desc')->limitpage($page, $perpage)->getGuestbookFullItems();

        $total = $this->model->filterEqual('is_approved', '1')->
                        filterIsNull('rep_id')->itemsGuestbookTotal();

//        $moder = $this->model->filterEqual('is_approved', 0)->
//                        filterIsNull('rep_id')->itemsGuestbookTotal();

        if ($page > 1 && !$items) {

            cmsCore::error404();
        }
        $user = cmsUser::getInstance();
        return cmsTemplate::getInstance()->render('items_viwe', array(
                    'options' => $options,
//                    'modr_count' => $moder,
                    'items' => $items,
                    'page' => $page,
                    'perpage' => $perpage,
                    'total' => $total,
          
                    'user' => $user
        ));
    }

}
