<?php

class actionGuestbookItemToggle extends cmsAction {

    public function run($item_id = false) {

        $model = cmsCore::getModel('moderation');

        if (!$item_id) {

            cmsTemplate::getInstance()->renderJSON(array(
                'error' => true,
            ));
        }

        $item = $this->model->getGuestbookItem($item_id);

        if (!$item) {

            cmsTemplate::getInstance()->renderJSON(array(
                'error' => true,
            ));
        }

        $is_pub = $item['is_approved'] ? false : true;

        $this->model->updateGuestbookItem($item_id, array('is_approved'=>$is_pub));

        if ($is_pub == True) {

            $model->closeModeratorTask('guestbook', $item_id, true, $this->cms_user->id);

            if ($item['rep_id'] != null) {

                if ($this->options['email_mess'] == True) {

                    $this->requestReplayGuestBook($item);
                }
            }
        }

        $data = array('item_id' => $item_id, 'is_approved' => $is_pub);

        cmsEventsManager::hook('guestbook_toggle_item_publication', $data);

        cmsTemplate::getInstance()->renderJSON(array(
            'error' => false,
            'is_on' => $is_pub
        ));
    }

}
