<?php

class actionGuestbookDelete extends cmsAction {

    public function run($id = null) {

        $user = cmsUser::getInstance();

       
        if ($user->id && !$user->is_admin) {

            cmsCore::error404();
        }

        $items = $this->request->get('selected');

        $url = $this->request->get('back');

        if (!$items) {

            if (!$id) {

                cmsCore::error404();
            } else {

                $item = $this->model->getGuestbookItem($id);

                if (!$item) {

                    cmsCore::error404();
                } else {
                    if ($item['rep_id'] != null) {

                        $this->model->deleteGuestbookItem($id);

                        cmsEventsManager::hook('guestbook_delete_item', $id);
                    } else {

                        $rep_item = $this->model->filterEqual('rep_id', $id)->getGuestbookItems(0);

                        $this->model->deleteGuestbookItem($id);

                        cmsEventsManager::hook('guestbook_delete_item', $id);

                        if ($rep_item) {

                            foreach ($rep_item as $tmp) {

                                $this->model->deleteGuestbookItem($tmp['id']);

                                cmsEventsManager::hook('guestbook_delete_item', $tmp['id']);
                            }
                        }
                    }
                }
            }
        } else {
            foreach ($items as $id) {

                $item = $this->model->getGuestbookItem($id);

                if ($item) {

                    if ($item['rep_id'] != null) {

                        $this->model->deleteGuestbookItem($id);

                        cmsEventsManager::hook('guestbook_delete_item', $id);
                    } else {

                        $rep_item = $this->model->filterEqual('rep_id', $id)->getGuestbookItems();


                        $this->model->deleteGuestbookItem($id);

                        cmsEventsManager::hook('guestbook_delete_item', $id);

                        if ($rep_item) {

                            foreach ($rep_item as $tmp) {

                                $this->model->deleteGuestbookItem($tmp['id']);

                                cmsEventsManager::hook('guestbook_delete_item', $tmp['id']);
                            }
                        }
                    }
                }
            }
        }
        $this->redirectToAction('viwe');
    }

}
