<?php

class actionGuestbookModeratorsDelete extends cmsAction {

    public function run() {

        if (!$this->request->isAjax()) {

            cmsCore::error404();
        }

        $id = $this->request->get('id', 0);

        if (!$id) {

            cmsCore::error404();
        }
        $model = cmsCore::getModel('moderation');

        $moderators = $model->getContentTypeModerators('guestbook');

        if (!isset($moderators[$id])) {
            return $this->cms_template->renderJSON(array(
                        'error' => true
            ));
        }

        $model->deleteContentTypeModerator('guestbook', $id);

        return $this->cms_template->renderJSON(array(
                    'error' => false
        ));
    }

}
