<?php

class widgetGuestbookGuestbooknow extends cmsWidget {

    public $is_cacheable = false;

    public function run() {

        $limit = $this->getOption('col_items', 5);

        $max_length = $this->getOption('size_item', 250);

        if (!isset($limit)) {

            $limit = 5;
        }
        if (!isset($max_length)) {

            $max_length = 250;
        }

        $model = cmsCore::getModel('guestbook');

        $items = $model->
                limit($limit)->orderBy('id', 'desc')->
                filterEqual('is_approved', '1')->
                filterEqual('rep_id', NULL)->
                getGuestbookItems();

        if (!$items) {

            return false;
        }

        return array(
            'items' => $items,
            'max_length' => $max_length
        );
    }

}
