<?php
$model = cmsCore::getModel('users');
$this->addcss('templates/default/controllers/guestbook/style.css');
$this->setPageTitle(LANG_GUESTBOOK_CONTROLLER);
$this->addBreadcrumb(LANG_GUESTBOOK_CONTROLLER, href_to_current());


if ($options['is_ds_toolbar'] && ($this->controller->is_moderator_guestboock || cmsUser::isAllowed('guestbook', 'add'))) {
    $this->addToolButton(array(
        'class' => 'add',
        'title' => LANG_GUESTBOOK_ADD_MESSAGE,
        'href' => href_to('guestbook', 'add')
    ));
}
$this->setMeta($options['seo_keys'], $options['seo_desc']);
?>
<h1><?php echo html(LANG_GUESTBOOK_CONTROLLER) ?>
    <?php
    if ($options['is_ds_bottom'] && ( $this->controller->is_moderator_guestboock || cmsUser::isAllowed('guestbook', 'add'))) {
        ?>
        <a class="gb-bottom" href="<?php echo href_to('guestbook', 'add') ?>"> <?php echo LANG_GUESTBOOK_ADD_MESSAGE ?></a>
    <?php } ?>
</h1>
<div class="dg-content_list">
    <?php
    if ($items) {
        foreach ($items as $item) {
            $is_my = (($item['email'] == $user->email) || ($item['user_id'] == $user->id));
            ?>
            <div class="gb-message_item">

                <div class="gb-message">
                    <?php
                    echo $this->renderChild('message', array(
                        'items' => $item,
                        'user' => $user,
                        'is_menu' => true,
                        'is_my' => $is_my,
                        'approve' => false
                    ));
                    ?>  
                </div>
            </div>
            <?php
        }
        if ($perpage < $total) {
            echo html_pagebar($page, $perpage, $total);
        }
    } else {
        echo LANG_LIST_EMPTY;
    }
    ?>     </div>  
<div class="gb-cop">
    <?php echo $this->controller->cophtml(); ?>
</div>
<script type="text/javascript">
    $(function () {
        var $allVideosYoutube = $("iframe[src^='//www.youtube.com']");
        var $allVideosVimeo = $("iframe[src^='//player.vimeo.com']");
        $fluidEl = $(".gb-message-mes_text");
        $allVideosYoutube.each(function () {
            $(this).data('aspectRatio', this.height / this.width).removeAttr('height').removeAttr('width');
        });
        $allVideosVimeo.each(function () {
            $(this).data('aspectRatio', this.height / this.width).removeAttr('height').removeAttr('width');
        });
        $(window).resize(function () {
            var newWidth = $fluidEl.width();
            $allVideosYoutube.each(function () {
                var $el = $(this);
                $el.width(newWidth).height(newWidth * $el.data('aspectRatio'));
            });
            $allVideosVimeo.each(function () {
                var $el = $(this);
                $el.width(newWidth).height(newWidth * $el.data('aspectRatio'));
            });
        }).resize();
    });</script>