CREATE TABLE IF NOT EXISTS `{#}guestbook_items` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `text` text CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `nick_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `email` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `date_pub` date NOT NULL,
  `rep_id` int(11) UNSIGNED DEFAULT NULL,
  `user_id` int(11) UNSIGNED DEFAULT NULL,
  `hesh` varchar(32) DEFAULT NULL,
  `is_approved` int(1) NOT NULL DEFAULT 1,
  `slug` varchar(255) DEFAULT NULL,
  `is_send` tinyint(1) NOT NULL DEFAULT 1,
  PRIMARY KEY (`id`),
  KEY `title` (`title`),
  KEY `nick_name` (`nick_name`),
  KEY `email` (`title`),
  KEY `date` (`date_pub`),
  KEY `rep_id` (`rep_id`),
  KEY `user_id` (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
  
  INSERT INTO `{#}menu_items` (`menu_id`, `parent_id`, `title`, `url`, `ordering`, `options`, `groups_view`, `groups_hide`) VALUES
(1, 0, 'Гостевая книга', 'guestbook', 1, '---\\ntarget: _self\\nclass:\\n', '---\\n- 0\\n', NULL);

INSERT INTO `{#}activity_types` (`is_enabled`, `controller`, `name`, `title`, `description`) VALUES
(1,'guestbook', 'add.news', 'Добавление отзывов', 'добавляет отзыв %s'),
(1, 'guestbook', 'add.repley', 'Ответ на отзыв', 'ответил на отзыв %s');

INSERT INTO `{#}scheduler_tasks` (`title`, `controller`, `hook`, `period`, `is_strict_period`, `is_active`, `is_new`) VALUES
('Очистка от неподтвержденных записей в гостевой книге', 'guestbook', 'clear_guestbook_no_sent', 1440, NULL, 1, 0);

INSERT INTO `{#}widgets` (`controller`, `name`, `title`, `author`, `url`, `version`, `is_external`, `files`, `addon_id`) VALUES
('guestbook', 'guestbooknow', 'Последние отзывы', 'Win_wiruzz', 'http://blog-winviruzz.ru', '1.1.3', 1, '---\nsystem:\n  controllers:\n    guestbook:\n      widgets:\n        guestbooknow:\n          - options.form.php\n          - widget.php\n  languages:\n    ru:\n      controllers:\n        guestbook:\n          widgets:\n            - guestbooknow.php\ntemplates:\n  default:\n    controllers:\n      guestbook:\n        widgets:\n          guestbooknow:\n            - guestbooknow.tpl.php\n            - style.css\n', NULL);

INSERT INTO `{#}perms_rules` (`controller`, `name`, `type`, `options`, `show_for_guest_group`) VALUES
('guestbook', 'add', 'flag', NULL, 1),
('guestbook', 'replay', 'flag', NULL, 1),
('guestbook', 'edit_item', 'list', 'own,all', 1),
('guestbook', 'edit_replay', 'list', 'own,all', 1);