<?php

class actionGuestBookViwe extends cmsAction {

    public function run($id = false) {

        if (!$id) {

            cmsCore::error404();
        }
        
        $options = $this->options;

        $item = $this->model->getGuestbookFullItem($id);

        if (!$item) {

            cmsCore::error404();
        }


        if (!$item['is_approved']) {

            if (!$this->is_moderator_guestboock) {

                cmsCore::error404();
            }
        }

        $user = cmsUser::getInstance();

        return cmsTemplate::getInstance()->render('item_viwe', array(
                    'items' => $item,
                    'options' => $options,
                    'user' => $user
        ));
    }

}
