<?php
$this->addcss('templates/default/controllers/guestbook/style.css');
if ($do == 'add') {
    $page_title = LANG_GUESTBOOK_ADD_MESSAGE;
    $lang = LANG_SUBMIT;
}
if ($do == 'edit') {
    $page_title = LANG_GUESTBOOK_EDIT_MESSAGE;
    $lang = LANG_SAVE;

    if ($edit) {
        $this->addToolButton(array(
            'class' => 'delete',
            'title' => LANG_DELETE,
            'href' => href_to('guestbook', 'delete', $items['id'])
        ));
    }
}


$this->setPageTitle($page_title);
$this->addBreadcrumb(LANG_GUESTBOOK_CONTROLLER, href_to(href_to_rel('guestbook')));
$this->addBreadcrumb($page_title);
$this->setMeta($options['seo_keys'], $options['seo_desc']);
?>
<h1><?php echo html($page_title) ?></h1>
<?php
$this->renderForm($form, $items, array(
    'append_html' => $captcha_html,
    'action' => '',
    'method' => 'post',
    'toolbar' => false,
    'submit' => array(
        'title' => $lang)
        ), $errors);
?>
<script type="text/javascript">
    $(document).ready(function () {
        $("#chek").attr('required', "");
    });
</script>  
<?php
if ($do == 'add') {
    if ($moder == true) {
        ?>
        <div class="content_moderation_notice icon-info">
            <?php echo LANG_MODERATION_NOTICE; ?>
        </div>
        <?php
    }
}
?>
<div class="gb-cop">
    <?php echo $this->controller->cophtml(); ?>
</div>
