<?php
$model = cmsCore::getModel('users');
if ($do == 'add') {
    $page_title = LANG_GUESTBOOK_REPLEY;
    $lang = LANG_SUBMIT;
}
if ($do == 'edit') {
    $page_title = LANG_GUESTBOOK_REPLEY_EDIT;
    $lang = LANG_SAVE;
    if ($edit) {
        $this->addToolButton(array(
            'class' => 'delete',
            'title' => LANG_DELETE,
            'href' => href_to('guestbook', 'delete', $items['id'])
        ));
    }
}

$this->addcss('templates/default/controllers/guestbook/style.css');
$this->setPageTitle($page_title);
$this->addBreadcrumb(LANG_GUESTBOOK_CONTROLLER, href_to(href_to_rel('guestbook')));
$this->addBreadcrumb($page_title);
$this->setMeta($options['seo_keys'], $options['seo_desc']);
?>
<h1><?php echo html($page_title) ?></h1>

<div class="dg-content">
    <div class="gb-message">
        <?php
        echo $this->renderChild('message', array(
            'items' => $items,
            'access' => false,
            'user' => $user,
            'is_menu' => false
        ));
        ?>  

    </div>
</div>
<?php
$this->renderForm($form, $ritem, array(
    'append_html' => $captcha_html,
    'action' => '',
    'method' => 'post',
    'toolbar' => false,
    'submit' => array(
        'title' => $lang)
        ), $errors);
?>
<div class="gb-cop">
    <?php echo $this->controller->cophtml(); ?>
</div>

