<div class="gb-message-mes">
    <div class="gb-message-mes_avatar">
        <div class="avatar">
            <?php if ($items['user_id']) { ?>
                <a href="<?php echo href_to('users', $items['user_id']); ?>">
                    <?php echo html_avatar_image($items['user_avatar'], 'normal'); ?>
                </a> 
            <?php } else { ?>
                <?php
                echo html_avatar_image(array(), 'normal');
            }
            ?>
        </div> 
        <div class="gb-message-mes_avatar_nick">
            <div class="gb-message-mes_avatar_nick_title"><?php Html($items['nick_name']); ?>
            </div>
            <div class="gb-message-mes_avatar_nick_date"><?php echo html_date($items['date_pub']); ?>    
            </div>
        </div>
    </div>
    <div class="oval n2"></div>
    <div class="oval n1"></div>
    <div class="gb-message-mes_text">
        <?php
        if ($is_menu) {
            if (cmsUser::isLogged() && cmsUser::isAllowed('guestbook', 'edit_item', 'all') || $this->controller->is_moderator_guestboock ||
                    ( cmsUser::isAllowed('guestbook', 'edit_item', 'own') and $is_my )) {
                echo $this->renderChild('menu', array(
                    'item' => $items,
                    'type' => 'item',
                    'approve' => $approve
                ));
            }
        }
        ?>
        <h1> <a class="mes_text" href="<?php Html(href_to($this->controller->name, 'viwe', $items['slug'] ? $items['slug'] . '.html' : $items['id'])) ?>"><?php HTMl($items['title']); ?></a></h1>
        <div class="mes_text"><?php echo $items['text']; ?></div>
        <?php if (cmsUser::isAllowed('guestbook', 'replay')) { ?>  
            <div >
                <a class="gb-bottom" href="<?php Html(href_to($this->controller->name, 'repley', $items['id'])) ?>"><?php Html(LANG_GUESTBOOK_REPLEY_TO) ?></a>  
            </div>
        <?php } ?>
    </div>

</div>
<?php if (isset($items['rep']) && !empty($items['rep'])) { ?>
    <div class="gb-message-mes_replay">
        <?php
        foreach ($items['rep'] as $rep_item) {
            $is_my_rep = (($rep_item['email'] == $user->email) || ($rep_item['user_id'] == $user->id));
            ?>
            <?php
            echo $this->renderChild('message_replay', array(
                'item' => $rep_item,
                'user' => $user,
                'is_my' => $is_my_rep,
                'is_menu' => true,
                'approve' => false
            ));
            ?>  

        <?php } ?>
    </div>
<?php } ?>

